"use strict";

exports.__esModule = true;
exports.command = void 0;
var command = {
  name: 'extendCellsSelectionToMostBottom',
  callback: function callback(hot) {
    var selection = hot.selection,
      rowIndexMapper = hot.rowIndexMapper;
    var _hot$getSelectedRange = hot.getSelectedRangeLast(),
      highlight = _hot$getSelectedRange.highlight,
      from = _hot$getSelectedRange.from,
      to = _hot$getSelectedRange.to;
    var isFocusHighlightedByHeader = highlight.isHeader() && hot.selection.isSelectedByRowHeader();
    if (highlight.isCell() || isFocusHighlightedByHeader) {
      var row = rowIndexMapper.getNearestNotHiddenIndex(hot.countRows() - 1, -1);
      selection.setRangeStart(from.clone());

      // Restore the row highlight by header flag after setting up a new selection.
      if (isFocusHighlightedByHeader) {
        selection.selectedByRowHeader.add(selection.getLayerLevel());
      }
      selection.setRangeEnd(hot._createCellCoords(row, to.col));
    }
  }
};
exports.command = command;